Overview
--------

OpenContrail (www.opencontrail.org) is a fully featured Software Defined
Networking (SDN) solution for private clouds. It supports high performance
isolated tenant networks without requiring external hardware support. It
provides a Neutron plugin to integrate with OpenStack.

This charm is designed to be used in conjunction with the rest of the OpenStack
related charms in the charm store to virtualize the network that Nova Compute
instances plug into.

This charm provides the control node component which contains the
contrail-control service.
Only OpenStack Icehouse or newer is supported.

Usage
-----

This charm requires a deployed contrail-configuration service.
Once ready, deploy and relate as follows:

    juju deploy contrail-control
    juju add-relation contrail-control contrail-configuration
